# List of Examples

| Name                                            | provides            | Documentation | Comment |
|:------------------------------------------------|:--------------------|:---------------:|:------|
| [A Benchmark for Difference of Convex](Difference-of-Convex-Benchmark.md)   | contains a few simple functions | | |
| [Bézier Curves and Minimizing their Acceleration](Bezier-curves.md) | tools Bézier curves and their acceleration |  [📚](@ref BezierCurves) | |
| [Solving Rosenbrock with Difference of Convex](Difference-of-Convex-Rosenbrock.md)   | DoC split of Rosenbrock | [📚](@ref Rosenbrock) | uses a Rosenbrock based metric |
| [Difference of Convex vs. Frank-Wolfe](Difference-of-Convex-Frank-Wolfe.md) | | | closed-form sub solver |
| [Riemannian Mean](Riemannian-mean.md)   | ``f``, ``\operatorname{grad}f`` (A/I), objective | [📚](@ref RiemannianMean) |  |
| [Robust PCA](Robust-PCA.md)   | ``f``, ``\operatorname{grad}f`` (A/I), objective | [📚](@ref RobustPCA) | |
| [Rosenbrock](Rosenbrock.md)   | ``f``, ``\operatorname{grad}f`` (A/I), objective, minimizer | [📚](@ref Rosenbrock) | |
| [The Rayleigh Quotient](RayleighQuotient.md) | ``f``, ``\operatorname{grad}f`` (A/I), ``\operatorname{Hess}f`` (A/I), objective | [📚](@ref Rayleigh) | |
| [Total Variation Minimization](Total-Variation.md) | ``f``, ``\operatorname{prox}f`` (A/I), objective | [📚](@ref Total-Variation) | |

Symbols:
* _A_ Allocating variant
* _I_ In-place variant
* _📚_ link to documented functions in the documentation